﻿using System.Collections.Generic;
using System.Linq;

namespace CustomLocalization.Web
{
    public class LocaleService : ILocaleService
    {
        private readonly acmeDataContext dataContext = new acmeDataContext();

        public Dictionary<string, string> GetResources(string cultureName)
        {
            return (from r in dataContext.StringResources
                             where r.LocaleId == cultureName
                             select r).ToDictionary(x => x.Key, x => x.Value);
        }
    }
}