﻿using System;
using System.Globalization;

namespace CustomLocalization
{
    public class CultureChangeErrorEventArgs : EventArgs
    {
        public CultureInfo Culture { get; private set; }
        public Exception Error { get; private set; }

        public CultureChangeErrorEventArgs(CultureInfo culture, Exception error)
        {
            Culture = culture;
            Error = error;
        }
    }
}