﻿using System.Globalization;
using System.Windows;
using System.Windows.Controls;

namespace CustomLocalization
{
    public partial class MainPage : UserControl
    {
        public MainPage()
        {
            InitializeComponent();
        }

        private void BtnFrenchCultureClick(object sender, RoutedEventArgs e)
        {
            (App.Current.Resources["SmartRM"] as SmartResourceManager).ChangeCulture(new CultureInfo("fr-FR"));
        }

        private void BtnEnglishCultureClick(object sender, RoutedEventArgs e)
        {
            (App.Current.Resources["SmartRM"] as SmartResourceManager).ChangeCulture(new CultureInfo("en-US"));
        }
    }
}